Can't install AnnotationHub
1
0
Entering edit mode
4 weeks ago
tea.vuki • 0

Hello,

I am using 4.1.1 version of R and 3.13 version of Bioconductor and there is no way to install AnnotationHub package. I think there is general problem with package installations.

After using the command BiocManager::install("AnnotationHub"), I get following error message:

ERROR: configuration failed for package ‘curl’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/curl’
ERROR: dependency ‘RCurl’ is not available for package ‘GenomeInfoDb’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/GenomeInfoDb’
ERROR: dependency ‘curl’ is not available for package ‘httr’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/httr’
ERROR: dependency ‘GenomeInfoDb’ is not available for package ‘Biostrings’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/Biostrings’
ERROR: dependencies ‘curl’, ‘httr’ are not available for package ‘BiocFileCache’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/BiocFileCache’
ERROR: dependencies ‘httr’, ‘Biostrings’ are not available for package ‘KEGGREST’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/KEGGREST’
ERROR: dependency ‘KEGGREST’ is not available for package ‘AnnotationDbi’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/AnnotationDbi’
ERROR: dependencies ‘BiocFileCache’, ‘curl’, ‘AnnotationDbi’, ‘httr’ are not available for package ‘AnnotationHub’
* removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/AnnotationHub’

The downloaded source packages are in
    ‘/tmp/RtmpOG7MjX/downloaded_packages’
Installation paths not writeable, unable to update
  packages
  path: /usr/lib/R/library
  packages:
    nlme, spatial
  path: /usr/lib/R/site-library
  packages:
    BH
Warning messages:
1: In .inet_warning(msg) :
  installation of package ‘RCurl’ had non-zero exit status
2: In .inet_warning(msg) :
  installation of package ‘curl’ had non-zero exit status
3: In .inet_warning(msg) :
  installation of package ‘GenomeInfoDb’ had non-zero exit status
4: In .inet_warning(msg) :
  installation of package ‘httr’ had non-zero exit status
5: In .inet_warning(msg) :
  installation of package ‘Biostrings’ had non-zero exit status
6: In .inet_warning(msg) :
  installation of package ‘BiocFileCache’ had non-zero exit status
7: In .inet_warning(msg) :
  installation of package ‘KEGGREST’ had non-zero exit status
8: In .inet_warning(msg) :
  installation of package ‘AnnotationDbi’ had non-zero exit status
9: In .inet_warning(msg) :
  installation of package ‘AnnotationHub’ had non-zero exit status

Do you have any advice what to do? I have tried a lot of suggestion I came upon while googling but they are all regarding older versions of R and are not helpful.

Please, if you have any ideas I'll be willing to try them!

annotationhub bioconductor r • 325 views
ADD COMMENT
2
Entering edit mode
4 weeks ago
brunobsouzaa ▴ 630

Error is pretty clear... You don't have all dependencies installed. A small search in google will help you installing them. For example, you can run install.packages("Rcurl"). Also, if you don't have curl installed, assuming you're using any Debian based linux distro, run sudo apt install curl. This will solve some of your problems, I suggest you looking for the others on google. This will help you in the learning process!

ADD COMMENT
0
Entering edit mode

Thank you so much! However, I have already tried this and after running the command install.packages("RCurl") I get the following error message:

checking for curl-config... no Cannot find curl-config ERROR: configuration failed for package ‘RCurl’

  • removing ‘/home/teki/R/x86_64-pc-linux-gnu-library/4.1/RCurl’ Warning in install.packages : installation of package ‘RCurl’ had non-zero exit status

The downloaded source packages are in ‘/tmp/RtmpOG7MjX/downloaded_packages’

I tried to install curl now as you said, but on terminal I get this message: "curl is already the newest version (7.68.0-1ubuntu2.7)." "0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded." and RCurl is still failing to install.

If you have any other suggestions please help, and thank you once again for your time and advice!!

ADD REPLY
0
Entering edit mode

Sorry for the interruption, thanks to you I managed to figure it out! I just had to install curl by sudo apt install libcurl4-openssl-dev on terminal. AnnotationHub is installed. Thanks again.

ADD REPLY

Login before adding your answer.

Traffic: 1762 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6